//+------------------------------------------------------------------+
//|                                               rid v1.1.mq4       |
//+------------------------------------------------------------------+

extern int magic1=123;
extern int magic2=543;
extern int min_svecha_proc=14;
extern int tp_proc=30;
extern int sl_proc=160;
extern double lot=0.1;

//+
double ship_high;double ship_low;int time;
//+
int orders_buy()
{int j=0;for (int i=0;i<OrdersTotal();i++)
{if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==true)
if((OrderType()==OP_BUY)&&(OrderMagicNumber()==magic1))j++;
}return(j);}
//+
int orders_sell()
{int j=0;for (int i=0;i<OrdersTotal();i++)
{if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==true)
if((OrderType()==OP_SELL)&&(OrderMagicNumber()==magic2))j++;
}return(j);}
//+   
int order_BUY()
{
 double sl=NormalizeDouble((volantilnost()/100)*sl_proc,Digits);     
 double tp=NormalizeDouble((volantilnost()/100)*tp_proc,Digits); 
 
OrderSend(Symbol(),OP_BUY,lot,Ask,100*Point,Bid-sl*Point,Ask+tp*Point,"BUY",magic1,0,Blue);
}
//+
int order_SELL()
{
 double sl=NormalizeDouble((volantilnost()/100)*sl_proc,Digits);     
 double tp=NormalizeDouble((volantilnost()/100)*tp_proc,Digits); 
OrderSend(Symbol(),OP_SELL,lot,Bid,100*Point,Ask+sl*Point,Bid-tp*Point,"SELL",magic2,0,Red);
}
//+ 
int volantilnost()
   { 
     int den_bar;int period_bar;
     if(Period()==PERIOD_M1){den_bar=24*60;period_bar=30*24*60;}
     if(Period()==PERIOD_M5){den_bar=24*12;period_bar=30*24*12;}
     if(Period()==PERIOD_M15){den_bar=24*4;period_bar=30*24*4;}
     if(Period()==PERIOD_M30){den_bar=24*2;period_bar=30*24*2;}
     if(Period()==PERIOD_H1){den_bar=24*1;period_bar=30*24*1;}
     if(Period()==PERIOD_H4){den_bar=24/4;period_bar=30*24/4;}
     if(Period()==PERIOD_D1){den_bar=1;period_bar=30*1;}
     for (int i=Bars-period_bar;i<Bars;i=i+den_bar)
     {
     double L1=High[iHighest(NULL,Period(),MODE_HIGH,den_bar,i)];
     double L2=Low[iLowest(NULL,Period(),MODE_LOW,den_bar,i)];
     double g=(L1-L2)+g;
     }
     double j=(g/(period_bar/den_bar))/Point;
     return(NormalizeDouble(j,Digits));
   }
//+ 
//+ 
//+ 
//+
int start()
{
//+
   if(Time[0] == time)return(0);
   time = Time[0];   
//+
  if(orders_buy()+orders_sell()==0)
  {
  if(High[1]-Open[1]>0)ship_high=High[1]-Open[1];
  if(Open[1]-High[1]>0)ship_high=Open[1]-High[1];
  if(Low[1]-Open[1]>0)ship_low=Low[1]-Open[1];
  if(Open[1]-Low[1]>0)ship_low=Open[1]-Low[1];
  double min_svecha =NormalizeDouble((volantilnost()/100)*min_svecha_proc,Digits);
  if(ship_high>min_svecha*Point)order_SELL();
  if(ship_low>min_svecha*Point)order_BUY();
  }
//+
}